MHDR(1)

NAME
mhdr - print message headers

SYNOPSIS
mhdr [-h hdrs [-p parameter]] [-d] [-H] [-M] [-A | -D] [msgs ...]

DESCRIPTION
mhdr prints the headers of the specified msgs. ( See mmsg(7) for the message argument syntax.)

If no msgs are specified, mhdr will default to the current message.

If no hdrs are specified, mhdr will print all headers.

The options are as follows:

-h hdrs
    Only print the values of headers in the colon-separated list hdrs.

-p parameter
    Extract a particular RFC 2045 parameter from the specified hdrs.

-d  Decode the hdrs according to RFC 2047.

-H  Prefix output lines with the filename of the message, followed by a tab.

-M  Search for all occurrences of the hdrs (default: only the first).

-A  Scan for RFC 5322 addresses in the hdrs and print them, one per line.

-D  Assume header contains RFC 5322 date and print as Unix timestamp.

EXIT STATUS
The mhdr utility exits 0 on success, 1 if no header was printed, and >1 if an error occurs.

SEE ALSO
mmsg(7) N. Freed, N. Borenstein, RFC 2045, November 1996, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. N. Freed, N. Borenstein, November 1996, RFC 2047, MIME (Multipurpose Internet Mail Extensions) Part Three: Message Header Extensions for Non-ASCII Text. P. Resnick (ed.), October 2008, RFC 5322, Internet Message Format.

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
mhdr is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/